%define _prefix /usr

Name: ldg-version
Version: 1.0.10
Release: 1
Summary: LIGO Data Grid version script
License: GPL
Group:  LSCSOFT
Source: %{name}-%{version}.tar.gz
URL: http://www.lsc-group.phys.uwm.edu/repositories.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python ldg-core osg-ca-certs vdt-gsi-openssh-client myproxy ldg-cert-util ligo-proxy-utils
Obsoletes: ldg-server-version ldg-client-version
BuildArch: noarch

%description
Script to report version of installed LIGO Data Grid

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
%{__make}

%install
%makeinstall

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(0755,root,root)
%{_bindir}/ldg-version

%changelog
* Mon Feb 25 2013 Adam Mercer <adam.mercer@ligo.org> 1.0.10-1
- report version of ligo-proxy-init
- report version of curl
- report version of lib{xml,xslt,esxlt}

* Thu Feb 7 2013 Adam Mercer <adam.mercer@ligo.org> 1.0.9-1
- fix version parsing on Debian

* Wed Feb 6 2013 Adam Mercer <adam.mercer@ligo.org> 1.0.8-1
- add support for Red Hat Enterprise variants

* Fri Sep 2012 Adam Mercer <adam.mercer@ligo.org> 1.0.7-1
- display location of openssl client
- display location of python interpreter

* Wed Apr 25 2013 Adam Mercer <adam.mercer@ligo.org> 1.0.6-1
- report versions of ldg-version and ldg-upgrade (if appropriate)
- add --openssl option to report version of OpenSSL client
- add --python option to report version of Python
- add --all option to display all version info

* Thu Mar 8 2013 Adam Mercer <adam.mercer@ligo.org> 1.0.5-1
- report version correctly for release and devel gsi patches

* Thu Jan 26 2012 Adam Mercer <adam.mercer@ligo.org> 1.0.4-1
- report Mac OS X build number as well as version

* Wed Nov 9 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.3-1
- fix squeeze dependencies
- remove unused globus_location variable for linux

* Wed Nov 2 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.2-1
- add Scientific Linux support

* Wed Nov 2 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.1-2
- fix dependencies for Scientific Linux 6

* Tue May 31 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.1-1
- use format specifier instead of string concatenation
- more robust method for parsing version
- consistent error messages

* Fri Apr 26 2011 Adam Mercer <adam.mercer@ligo.org> 1.0.0-1
- initial version
